Index: Singular/mpsr_GetPoly.cc
===================================================================
--- Singular/mpsr_GetPoly.cc	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ Singular/mpsr_GetPoly.cc	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -394,5 +394,5 @@
     mp_failr(IMP_GetSint32Vector(link, &Ta, gNvars));
     for (i=1; i<=gNvars; i++)
-      pSetExp(pp,i , (Exponent_t) gTa[i]);
+      pSetExp(pp,i , gTa[i]);
     pSetm(pp);
 
@@ -404,5 +404,5 @@
       mp_failr(IMP_GetSint32Vector(link, &Ta, gNvars));
       for (i=1; i<=gNvars; i++)
-        pSetExp(pp, i, (Exponent_t) gTa[i]);
+        pSetExp(pp, i, gTa[i]);
       pSetm(pp);
     }
@@ -411,5 +411,5 @@
   {
     mp_failr(IMP_GetSint32(link, &i));
-    pSetExp(pp,1, (Exponent_t) i);
+    pSetExp(pp,1, i);
     pSetm(pp);
 
@@ -420,5 +420,5 @@
       failr(GetCoeff(link, &(pp->coef)));
       mp_failr(IMP_GetSint32(link, &i));
-      pSetExp(pp,1, (Exponent_t) i);
+      pSetExp(pp,1, i);
       pSetm(pp);
     }
@@ -455,5 +455,5 @@
     pSetComp(pp, gTa[0]);
     for (i=1; i<n1; i++)
-      pSetExp(pp, i, (Exponent_t) gTa[i]);
+      pSetExp(pp, i, gTa[i]);
     pSetm(pp);
 
@@ -466,5 +466,5 @@
       pSetComp(pp, gTa[0]);
       for (i=1; i<n1; i++)
-        pSetExp(pp,i, (Exponent_t) gTa[i]);
+        pSetExp(pp,i, gTa[i]);
       pSetm(pp);
     }
@@ -475,5 +475,5 @@
     pSetComp(pp, i);
     mp_failr(IMP_GetSint32(link, &i));
-    pSetExp(pp,1, (Exponent_t) i);
+    pSetExp(pp,1, i);
     pSetm(pp);
 
@@ -486,5 +486,5 @@
       pSetComp(pp, i);
       mp_failr(IMP_GetSint32(link, &i));
-      pSetExp(pp,1, (Exponent_t) i);
+      pSetExp(pp,1, i);
       pSetm(pp);
     }
Index: kernel/ideals.cc
===================================================================
--- kernel/ideals.cc	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/ideals.cc	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -2832,5 +2832,5 @@
   ring origR;
   sip_sring tmpR;
-  Exponent_t bound;
+  long bound;
 
   if((ar<=0) || (ar>r) || (ar>c))
Index: kernel/kInline.cc
===================================================================
--- kernel/kInline.cc	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/kInline.cc	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -936,5 +936,5 @@
 
   int i;
-  Exponent_t x;
+  long x;
   m1 = p_Init(m_r);
   m2 = p_Init(m_r);
@@ -979,8 +979,8 @@
 
   int i;
-  Exponent_t x;
-  Exponent_t e1;
-  Exponent_t e2;
-  Exponent_t s;
+  long x;
+  long e1;
+  long e2;
+  long s;
   m1 = p_Init(tailRing);
   m2 = p_Init(tailRing);
Index: kernel/kbuckets.cc
===================================================================
--- kernel/kbuckets.cc	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/kbuckets.cc	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -1013,10 +1013,10 @@
 // Hmm... for now I'm too lazy to implement those independent of currRing
 // But better declare it extern than including polys.h
-extern void pTakeOutComp(poly *p, Exponent_t comp, poly *q, int *lq);
-void pDecrOrdTakeOutComp(poly *p, Exponent_t comp, long order,
+extern void pTakeOutComp(poly *p, long comp, poly *q, int *lq);
+void pDecrOrdTakeOutComp(poly *p, long comp, long order,
                          poly *q, int *lq);
 
 void kBucketTakeOutComp(kBucket_pt bucket,
-                        Exponent_t comp,
+                        long comp,
                         poly *r_p, int *l)
 {
@@ -1053,5 +1053,5 @@
 
 void kBucketDecrOrdTakeOutComp(kBucket_pt bucket,
-                               Exponent_t comp, long order,
+                               long comp, long order,
                                poly *r_p, int *l)
 {
Index: kernel/kbuckets.h
===================================================================
--- kernel/kbuckets.h	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/kbuckets.h	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -97,5 +97,5 @@
 
 void kBucketTakeOutComp(kBucket_pt bucket,
-                        Exponent_t comp,
+                        long comp,
                         poly *p, int *l);
 
@@ -105,5 +105,5 @@
 //         m1 >= m2 ==> pGetOrder(m1) >= pGetOrder(m2)
 void kBucketDecrOrdTakeOutComp(kBucket_pt bucket,
-                               Exponent_t comp, long order,
+                               long comp, long order,
                                poly *p, int *l);
 
Index: kernel/kspoly.cc
===================================================================
--- kernel/kspoly.cc	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/kspoly.cc	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -403,6 +403,6 @@
 {
   poly a1 = pNext(p1), a2 = pNext(p2);
-  Exponent_t c1=p_GetComp(p1, currRing),c2=p_GetComp(p2, currRing);
-  Exponent_t c;
+  long c1=p_GetComp(p1, currRing),c2=p_GetComp(p2, currRing);
+  long c;
   poly m1,m2;
   number t1 = NULL,t2 = NULL;
Index: kernel/kutil.cc
===================================================================
--- kernel/kutil.cc	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/kutil.cc	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -6360,5 +6360,5 @@
   unsigned long l = 0;
   int i;
-  Exponent_t e;
+  long e;
 
   assume(strat->tailRing == currRing);
Index: kernel/p_polys.cc
===================================================================
--- kernel/p_polys.cc	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/p_polys.cc	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -549,5 +549,5 @@
 {
   p_CheckPolyRing(p, r);
-  Exponent_t k= p_GetComp(p, r);
+  long k= p_GetComp(p, r);
   int ll=1;
 
@@ -625,5 +625,5 @@
 {
   p_CheckPolyRing(p, r);
-  Exponent_t k= p_GetComp(p, r);
+  long k= p_GetComp(p, r);
   long o = r->pFDeg(p, r);
   int ll=1;
@@ -655,5 +655,5 @@
 {
   p_CheckPolyRing(p, r);
-  Exponent_t k= p_GetComp(p, r);
+  long k= p_GetComp(p, r);
   int ll=1;
   long  t,max;
@@ -725,5 +725,5 @@
   assume(r->pFDeg == pDeg);
   p_CheckPolyRing(p, r);
-  Exponent_t k= p_GetComp(p, r);
+  long k= p_GetComp(p, r);
   int ll=1;
   long  t,max;
@@ -789,5 +789,5 @@
 {
   p_CheckPolyRing(p, r);
-  Exponent_t k= p_GetComp(p, r);
+  long k= p_GetComp(p, r);
   int ll=1;
   long  t,max;
@@ -852,5 +852,5 @@
 {
   p_CheckPolyRing(p, r);
-  Exponent_t k= p_GetComp(p, r);
+  long k= p_GetComp(p, r);
   int ll=1;
   long  t,max;
Index: kernel/polys-impl.cc
===================================================================
--- kernel/polys-impl.cc	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/polys-impl.cc	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -62,5 +62,5 @@
 
 
-static inline unsigned long GetBitFields(Exponent_t e,
+static inline unsigned long GetBitFields(long e,
                                          unsigned int s, unsigned int n)
 {
@@ -72,5 +72,5 @@
   {
     assume(s+i < BIT_SIZEOF_LONG);
-    if (e > (Exponent_t) i) ev |= Sy_bit_L(s+i);
+    if (e > (long) i) ev |= Sy_bit_L(s+i);
     else break;
     i++;
Index: kernel/polys-impl.h
===================================================================
--- kernel/polys-impl.h	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/polys-impl.h	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -35,5 +35,4 @@
 #endif
 
-typedef Exponent_t* Exponent_pt;
 struct  spolyrec
 {
Index: kernel/polys.cc
===================================================================
--- kernel/polys.cc	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/polys.cc	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -242,5 +242,5 @@
         return s_save;
       }
-      p_AddExp(rc,1+j, (Exponent_t)i, r);
+      p_AddExp(rc,1+j, (long)i, r);
     }
     else
@@ -340,5 +340,5 @@
       if (ii!=0)
       {
-        pAddExp(q,varnum, (Exponent_t)ii);
+        pAddExp(q,varnum, (long)ii);
         pSetm(q);
       }
@@ -531,5 +531,5 @@
 // Splits *p into two polys: *q which consists of all monoms with
 // component == comp and *p of all other monoms *lq == pLength(*q)
-void pTakeOutComp(poly *r_p, Exponent_t comp, poly *r_q, int *lq)
+void pTakeOutComp(poly *r_p, long comp, poly *r_q, int *lq)
 {
   spolyrec pp, qq;
@@ -579,5 +579,5 @@
 }
 
-void pDecrOrdTakeOutComp(poly *r_p, Exponent_t comp, long order,
+void pDecrOrdTakeOutComp(poly *r_p, long comp, long order,
                          poly *r_q, int *lq)
 {
Index: kernel/polys.h
===================================================================
--- kernel/polys.h	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/polys.h	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -132,5 +132,5 @@
 
 // Gets a copy of (resp. set) the exponent vector, where e is assumed
-// to point to (r->N +1)*sizeof(Exponent_t) memory. Exponents are
+// to point to (r->N +1)*sizeof(long) memory. Exponents are
 // filled in as follows: comp, e_1, .., e_n
 #define pGetExpV(p, e)      p_GetExpV(p, e, currRing)
@@ -399,10 +399,10 @@
 // component == comp and *p of all other monoms *lq == pLength(*q)
 // On return all components pf *q == 0
-void pTakeOutComp(poly *p, Exponent_t comp, poly *q, int *lq);
+void pTakeOutComp(poly *p, long comp, poly *q, int *lq);
 // Similar to pTakeOutComp, except that only those components are
 // taken out whose Order == order
 // ASSUME: monomial ordering is Order compatible, i.e., if m1, m2 Monoms then
 //         m1 >= m2 ==> pGetOrder(m1) >= pGetOrder(m2)
-void pDecrOrdTakeOutComp(poly *p, Exponent_t comp, long order,
+void pDecrOrdTakeOutComp(poly *p, long comp, long order,
                          poly *q, int *lq);
 // This is something weird -- Don't use it, unless you know what you are doing
Index: kernel/polys0.cc
===================================================================
--- kernel/polys0.cc	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/polys0.cc	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -54,5 +54,5 @@
   {
     {
-      Exponent_t ee = p_GetExp(p,i+1,r);
+      int ee = p_GetExp(p,i+1,r);
       if (ee!=0)
       {
@@ -72,5 +72,5 @@
   }
   //StringAppend("{%d}",p->Order);
-  if (p_GetComp(p, r) != (Exponent_t)ko)
+  if (p_GetComp(p, r) != (long)ko)
   {
     if (writeGen) StringAppendS("*");
@@ -99,5 +99,5 @@
   }
 
-  Exponent_t k = 1;
+  long k = 1;
   StringAppendS("[");
   loop
Index: kernel/ringgb.cc
===================================================================
--- kernel/ringgb.cc	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/ringgb.cc	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -62,5 +62,5 @@
 {
   int i;
-  Exponent_t x;
+  int x;
   m1 = p_Init(m_r);
   m2 = p_Init(m_r);
Index: kernel/sparsmat.h
===================================================================
--- kernel/sparsmat.h	(revision ed5c8d1e2dbab67d9d30ee55afe96866951bb06e)
+++ kernel/sparsmat.h	(revision 0b5e3dd93463040bd0598ca2fa8cf650782a715f)
@@ -31,7 +31,7 @@
 ideal smCallSolv(ideal I);
 
-void smRingChange(ring *, sip_sring &, Exponent_t);
+void smRingChange(ring *, sip_sring &, long);
 void smRingClean(ring, ip_sring &);
-Exponent_t smExpBound(ideal, int, int, int);
+long smExpBound(ideal, int, int, int);
 BOOLEAN smCheckDet(ideal, int, BOOLEAN);
 #endif
